import { emailNotification } from '@/lib/email';
import { NextRequest } from 'next/server';

export async function POST(request: NextRequest): Promise<Response> {
  const body = await request.json();

  if (body.type === 'charge.succeeded') {
    const data = body.data.object;
    const billing = data.billing_details;
    const cityStateZip = `${billing.address.city}, ${billing.address.state} ${billing.address.postal_code}`;
    const address = billing.address.line2
      ? `${billing.address.line1}\n${cityStateZip}`
      : `${billing.address.line1}\n${billing.address.line2}\n${cityStateZip}`;

    emailNotification({
      name: billing.name,
      type: data.metadata.type,
      amount: data.amount,
      email: billing.email,
      phone: billing.phone,
      address,
    });
  } else {
    console.log('Another type of event');
    console.log(body);
  }

  return new Response(null, { status: 200 });
}
